API 커넥터 FAQ(PowerApps)API connector FAQ (PowerApps)

요구 사항Requirements

Q: ISV가 아닌 경우에도 여전히 커넥터를 빌드할 수 있나요?Q: If I am not an ISV, can I still build a connector?

A: 커넥터를 공개적으로 릴리스하려면 기본 서비스를 소유하거나 API 사용에 관한 명시적 권한이 있어야 합니다.A: To release a connector publicly, we require that you either own the underlying service or present explicit rights to use the API.

Q: REST API 없이 커넥터를 빌드할 수 있나요?Q: Can I build a connector without REST APIs?

A: 아니요.A: No. API 커넥터를 빌드하려면 안정적인 HTTP REST API를 지원해야 합니다.In order to build an API connector, you are required to support stable HTTP REST APIs for your service.

Q: 지원되는 인증 유형은 무엇인가요?Q: What are the supported authentication types?

A: 다음과 같은 인증 표준을 지원합니다.A: We support the following standards of authentication:

  • OAuth2.0(Azure Active Directory 포함)OAuth2.0 (includes Azure Active Directory)
  • API 키API Key
  • 기본 인증Basic Authentication

트리거Triggers

Q: 웹후크 없이 트리거를 빌드할 수 있나요?Q: Can I build triggers without webhooks?

A: Microsoft Flow 및 Logic Apps를 위한 API 커넥터를 사용하면 웹후크 기반 트리거만 빌드할 수 있습니다.A: API connectors for Microsoft Flow and Logic Apps allow you to build webhook-based triggers only. 다른 형태의 구현이 필요한 경우 API에 대한 자세한 내용과 함께 condevhelp@microsoft.com에 문의하세요.If you have a request for other forms of implementation, please contact condevhelp@microsoft.com along with more details about your API.

기타Miscellaneous

Q: 내 API는 동적 호스트를 사용합니다.Q: My APIs use a dynamic host. 이를 OpenAPI에서 구현하려면 어떻게 할까요?How do I implement this in the OpenAPI?

A: API 커넥터 기능은 동적 호스트를 지원하지 않습니다.A: The API connector feature doesn't support dynamic hosts. 개발 및 테스트 목적을 위한 정적 호스트를 사용하십시오.Please use a static host for development and testing purposes. 제출하는 동안 동적 구현에 대해 Microsoft 담당자에게 문의하십시오.During submission, talk to your Microsoft contact regarding the dynamic implementation.

Q: Postman Collection V2를 지원합니까?Q: Do you support Postman Collection V2?

A: 아니요, 현재 Postman V2는 지원되지 않습니다.A: No, Postman V2 is currently not supported.

Q: OpenAPI 3.0을 지원합니까?Q: Do you support OpenAPI 3.0?

A: 아니요, 현재 OpenAPI 2.0이 지원되는 유일한 버전입니다.A: No, OpenAPI 2.0 is currently the only supported version.